Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# os_sem.h File Reference

`#include "ace/config-lite.h"`
`#include "ace/os_include/sys/os_ipc.h"`

Include dependency graph for os_sem.h:

This graph shows which files directly or indirectly include this file:

## Classes
union | semun
## Defines
#define | GETVAL 0
#define | SETVAL 0
#define | GETALL 0
#define | SETALL 0
#define | SEM_UNDO 0

## Detailed Description

XSI semaphore facility

Id
  os_sem.h,v 1.4 2004/08/25 16:05:42 shuston Exp

Author:
  Don Hinton <dhinton@dresystems.com>

  This code was originally in various places including ace/OS.h.

## Define Documentation

#define GETALL 0

#define GETVAL 0

#define SEM_UNDO 0

#define SETALL 0

#define SETVAL 0